# Poco

# class PurgeByCountStrategy

Library: Foundation
Package: Logging
Header: Poco/PurgeStrategy.h

## Description

This purge strategy ensures that a maximum number of archived files is not exceeded. Files are deleted based on their age, with oldest files deleted first.

## Inheritance

Direct Base Classes: PurgeStrategy

All Base Classes: PurgeStrategy

## Member Summary

Member Functions: purge

Inherited Functions: list, purge

## Constructors

### PurgeByCountStrategy

PurgeByCountStrategy(
int count
);

## Destructor

### ~PurgeByCountStrategy

~PurgeByCountStrategy();

## Member Functions

### purge

void purge(
const std::string & path
);

See also: Poco::PurgeStrategy::purge()